Error in join
Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14088

Description

I was doing a tutorial and tried to join a CSV file and a Shapefile, and kept getting this error message:

Failure creating output shapefile

C:\\Program Files\\Quantum GIS Wroclaw\\joined.shp

creation of layer failed (OGR error:Failed to open Shapefile `C:\\Program Files\\Quantum GIS Wroclaw\\joined.shp'.

Everything I did followed the tutorial (http://www.projo.com/temp/tim/nicar/qgis_tutorial/#24), so I'm not sure what I'm doing wrong.

History

#1 - 2011-12-09 08:24 AM - Paolo Cavallini

- Category set to Vectors

#2 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2011-12-25 08:47 AM - Alexander Bruy

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

Sample data incomplete/corrupted (only .shp file available). Not reproducible here with master under Windows and Linux

#4 - 2012-03-19 01:12 PM - Jeff Meyer

Dan - I encountered a similar issue. Windows doesn't like non-Admins to save things to the C:\\Program Files\\ directory. Have you tried changing the path

where you're saving the files? This solved the problem for me.

Alternate resolution: suggest feature to be able to set a default "working folder" path.

#5 - 2012-04-16 06:29 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#6 - 2012-05-23 06:11 AM - Alexander Bruy

- Status changed from Open to Feedback

#7 - 2012-05-30 03:59 AM - Giovanni Manghi
http://www.projo.com/temp/tim/nicar/qgis_tutorial/#24


- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback. Reopen if necessary.

Files

CO-EST2008-01-37.csv 3.91 KB 2011-07-20 Dan Catchpole

tl_2009_37_county.shp 3.73 MB 2011-07-20 Dan Catchpole
